Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236798 - Review Request: ballz - Platform game with some puzzle elements
Summary: Review Request: ballz - Platform game with some puzzle elements
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrea Musuruane
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 17:58 UTC by Hans de Goede
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-22 11:28:17 UTC
musuruan: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2007-04-17 17:58:45 UTC
Spec URL: <spec info here>
SRPM URL: <srpm info here>
Description: <description here>

Comment 1 Hans de Goede 2007-04-17 18:00:44 UTC
Oops, enter didn't do what I wanted it too. Fixup:

Spec URL: http://people.atrpms.net/~hdegoede/ballz.spec
SRPM URL: http://people.atrpms.net/~hdegoede/ballz-1.0-1.fc7.src.rpm
Description:
Ballz is a platformer with some puzzle elements. You take control of a ball
which is genetically modified by the British secret service. Your mission is
to rescue captured British soldiers from a prison in Iran.

The game was written in 72 hours for the TINS competition, a competition
similar to Speedhack. The name TINS is an recursive acronym for ‘TINS is
not Speedhack’.


Comment 2 Andrea Musuruane 2007-04-20 19:41:11 UTC
 - Package meets naming and packaging guidelines. OK
 - Spec file matches base package name.	OK
 - Spec has consistant macro usage. OK
 - Meets Packaging Guidelines. OK
 - License: BSD
 - License field in spec matches. OK
 - License file included in package. OK
 - Spec in American English. OK
 - Spec is legible. OK
 - Sources match upstream. OK md5sum: 1a98a0a87985f2425d2fde5715be50ed 

 - Package needs ExcludeArch. N/A
 - BuildRequires correct. OK.
 - Spec handles locales/find_lang. N/A
 - Package is relocatable and has a reason to be. N/A
 - Package has %defattr and permissions on files is good. OK
 - Package has a correct %clean section. OK
 - Package has correct buildroot. OK
 - Package is code or permissible content. OK
 - Doc subpackage needed/used. N/A
 - Packages %doc files don't affect runtime. OK

 - Headers/static libs in -devel subpackage. N/A
 - Spec has needed ldconfig in post and postun. N/A
 - .pc files in -devel subpackage/requires pkgconfig. N/A
 - .so files in -devel subpackage. N/A
 - -devel package Requires: %{name} = %{version}-%{release}. N/A
 - .la files are removed. N/A

 - Package is a GUI app and has a .desktop file. OK

 - Package compiles and builds on at least one arch. OK fc6/i386
 - Package has no duplicate files in %files. OK
 - Package doesn't own any directories other packages own. OK
 - Package owns all the directories it creates. OK
 - No rpmlint output. OK
 - final provides and requires are sane:
	/bin/sh  
	/bin/sh  
	hicolor-icon-theme  
	libaldmb-0.9.3.so  
	liballeg.so.4.2  
	libdumb-0.9.3.so  
	libguichan-0.6.1.so  
	libguichan_allegro-0.6.1.so  
	rtld(GNU_HASH)  

SHOULD Items:

 - Should build in mock. OK fc6/i386
 - Should function as described. OK
 - Should have sane scriptlets. OK
 - Should have subpackages require base package with fully versioned depend. N/A
 - Should have dist tag. OK
 - Should package latest version. OK

Issues:

1. Not a blocker, but on the PC I used for the review, the viewport was not
   centered at fullscreen. BTW, why did you patched the sources to use
   fullscreen instead of the default window mode?

APPROVED.


Comment 3 Hans de Goede 2007-04-21 12:04:10 UTC
New Package CVS Request
=======================
Package Name:      ballz
Short Description: Platform game with some puzzle elements
Owners:            j.w.r.degoede@hhs.nl
Branches:          FC-6 devel
InitialCC:         <empty>



Comment 4 Hans de Goede 2007-04-22 11:28:17 UTC
Thanks for the review!

Imported and build, closing.


Note You need to log in before you can comment on or make changes to this bug.